scenic version 0.6.3-1ubuntu1 failed to build on i386

Bug #756010 reported by Matthias Klose
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
scenic (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

scenic version 0.6.3-1ubuntu1 failed to build on i386
Link to failed build: https://launchpad.net/ubuntu/+archive/test-rebuild-20110329/+buildjob/2409908

Direct link to the build log: https://launchpad.net/ubuntu/+archive/test-rebuild-20110329/+buildjob/2409908/+files/buildlog_ubuntu-natty-i386.scenic_0.6.3-1ubuntu1_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Purging chroot-autobuild'.
Excerpt 2795 lines into the build log:

checking for xvinfo... no
configure: WARNING: "The Scenic graphical user interface requires xvinfo"
checking for jackd... no
configure: WARNING: "The Scenic graphical user interface requires jackd"
checking for yelp... no
configure: WARNING: "The Scenic graphical user interface requires yelp"
Warning: optional plugin glimagesink is NOT installed
Warning: optional plugin lamemp3enc is NOT installed
Error: required plugin v4lsrc is NOT installed
Warning: optional plugin x264enc is NOT installed
You may have to install the corresponding development headers (i.e. lib<MODULE>-dev)
before building the missing gstreamer plugins
configure: error: Not all gstreamer plugins installed
make: *** [debian/stamp-autotools] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20110408-1859
FAILED [dpkg-buildpackage died]
Purging chroot-autobuild/build/buildd/scenic-0.6.3

Related branches

Matthias Klose (doko)
Changed in scenic (Ubuntu):
importance: Undecided → High
tags: added: oneiric
Changed in scenic (Ubuntu):
milestone: none → oneiric-alpha-1
Changed in scenic (Ubuntu Oneiric):
milestone: oneiric-alpha-1 → oneiric-alpha-2
Changed in scenic (Ubuntu Oneiric):
milestone: oneiric-alpha-2 → none
status: New → Confirmed
tags: added: universe
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scenic - 0.6.3-1ubuntu2

---------------
scenic (0.6.3-1ubuntu2) oneiric; urgency=low

  * Make v4lsrc optional; it's gone, and v4l2src will do (LP: #756010).
  * Drop -pedantic -Wfatal-errors -Werror; the <gst/gstmessage.h> header
    fails -pedantic, and we also run into deprecations in libjack.
  * Fix link order to list libraries after other libraries that depend on
    them.
 -- Colin Watson <email address hidden> Wed, 14 Sep 2011 12:27:01 +0100

Changed in scenic (Ubuntu Oneiric):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers